Loading...
Searching...
No Matches
fatio.h File Reference

Go to the source code of this file.

## Functions

int | fat_read_cluster (PedFileSystem *fs, char *buf, FatCluster cluster)
int | fat_read_clusters (PedFileSystem *fs, char *buf, FatCluster cluster, FatCluster count)
int | fat_read_fragment (PedFileSystem *fs, char *buf, FatFragment frag)
int | fat_read_fragments (PedFileSystem *fs, char *buf, FatFragment frag, FatFragment count)
int | fat_write_cluster (PedFileSystem *fs, char *buf, FatCluster cluster)
int | fat_write_clusters (PedFileSystem *fs, char *buf, FatCluster cluster, FatCluster count)
int | fat_write_fragment (PedFileSystem *fs, char *buf, FatFragment frag)
int | fat_write_fragments (PedFileSystem *fs, char *buf, FatFragment frag, FatFragment count)
int | fat_write_sync_cluster (PedFileSystem *fs, char *buf, FatCluster cluster)
int | fat_write_sync_clusters (PedFileSystem *fs, char *buf, FatCluster cluster, FatCluster count)
int | fat_write_sync_fragment (PedFileSystem *fs, char *buf, FatFragment frag)
int | fat_write_sync_fragments (PedFileSystem *fs, char *buf, FatFragment frag, FatFragment count)

## Function Documentation

## fat_read_cluster()

int fat_read_cluster | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatCluster | cluster )

extern

## fat_read_clusters()

int fat_read_clusters | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatCluster | cluster,
|  | FatCluster | count )

extern

## fat_read_fragment()

int fat_read_fragment | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatFragment | frag )

extern

## fat_read_fragments()

int fat_read_fragments | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatFragment | frag,
|  | FatFragment | count )

extern

## fat_write_cluster()

int fat_write_cluster | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatCluster | cluster )

extern

## fat_write_clusters()

int fat_write_clusters | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatCluster | cluster,
|  | FatCluster | count )

extern

## fat_write_fragment()

int fat_write_fragment | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatFragment | frag )

extern

## fat_write_fragments()

int fat_write_fragments | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatFragment | frag,
|  | FatFragment | count )

extern

## fat_write_sync_cluster()

int fat_write_sync_cluster | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatCluster | cluster )

extern

## fat_write_sync_clusters()

int fat_write_sync_clusters | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatCluster | cluster,
|  | FatCluster | count )

extern

## fat_write_sync_fragment()

int fat_write_sync_fragment | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatFragment | frag )

extern

## fat_write_sync_fragments()

int fat_write_sync_fragments | ( | PedFileSystem * | fs,
|  | char * | buf,
|  | FatFragment | frag,
|  | FatFragment | count )

extern